Boards

Updates the connection of a specified board with the provided update data.

This operation requires the current user to have the Statsh.Domain.BoardMemberRole.Admin role for the specified board.

PUT
/public-api/v1/Boards/{boardId}/connections/{connectionId}
cURL
curl --request PUT \
  --url '/public-api/v1/Boards/{boardId}/connections/{connectionId}' \
  --header 'user-api-key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "Name": {
    "NewValue": "string"
  }
}'

Autorisations

  • user-api-keystringheader

    User's API Key · apiKey

Paramètres de chemin

  • boardIdstringobligatoire

    The unique identifier of the board.

  • connectionIdstringobligatoire

    The unique identifier of the connection to be updated.

Corps

application/json

The update data for the connection.

  • Nameobject
    • NewValuestring

Réponses

OK